# Interface TapServiceFinder.Table

Enclosing interface:
  `TapServiceFinder`

public static interface TapServiceFinder.Table
Basic metadata describing a table provided by a TAP service.

Since:
  30 Jun 2015
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Returns a textual description of this table.
`String`
`getName()`
Returns the name of this table.
`String`
`getServiceId()`
Returns the IVO Identifier of the service containing this table.

## Method Details

### getServiceId

String getServiceId()
Returns the IVO Identifier of the service containing this table.

Returns:
  service ivoid

### getName

String getName()
Returns the name of this table.

Returns:
  table name

### getDescription

String getDescription()
Returns a textual description of this table.

Returns:
  table description